<!--
  Generated template for the RideOfferPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Offer Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding class="grey-background">

	<div *ngIf="driver == true">
		<ion-list>
		  <button ion-item (click)="oneWay()">
		    One Way
		  </button> 
		  <button ion-item (click)="roundTrip()">
		    Round Trip
		  </button> 
		  <button ion-item (click)="openRide()">
		    Open Ride
		  </button> 
		  <button ion-item (click)="airportRide()">
		    Airport Ride
		  </button> 
		</ion-list>
	</div>

	<div *ngIf="driver == false " class="text-center pad-sides pad-top">
		<div >
			<h2 ion-text-center class="text-theme">You're not approved to drive yet.</h2>
			<p class="pad-bottom">Please take photos of your valid driver's license, insurance card, registration and vehicle and then click the "Apply to Drive" button below. It can take up to 24 hours to be approved to drive.</p>
			<button (click)="driverApply()" ion-button block class="bg-theme text-white btn rounded">
				Apply To Drive 
			</button>
		</div>
	</div>
</ion-content>
